curl --request GET \
--url https://app.lt.cryptoprocessing.com/api/v2/transactions/info \
--header 'Content-Type: application/json' \
--header 'X-Processing-Key: <api-key>' \
--header 'X-Processing-Signature: <x-processing-signature>' \
--data '
{
"foreign_id": "test_foreign_id_0250"
}
'{
"id": 1,
"end_user_reference": "12345",
"type": "deposit",
"crypto_address": {
"id": 1,
"currency": "BTC",
"address": "39mFf3X46YzUtfdwVQpYXPCMydc74ccbAZ",
"foreign_id": "12345",
"tag": null
},
"currency_sent": {
"currency": "BTC",
"amount": "6.53157512"
},
"currency_received": {
"currency": "BTC",
"amount": "6.53157512",
"amount_minus_fee": "6.5119800"
},
"transactions": [
{
"id": 1,
"currency": "BTC",
"transaction_type": "blockchain",
"type": "deposit",
"address": "39mFf3X46YzUtfdwVQpYXPCMydc74ccbAZ",
"tag": null,
"amount": "6.53157512",
"txid": "3950ad8149421a850d01dff88f024810e363ac18c9e8dd9bc0b9116e7937ad93",
"riskscore": "0.5",
"confirmations": "3"
}
],
"fees": [
{
"type": "deposit",
"currency": "BTC",
"amount": "0.01959472"
}
],
"error": "",
"status": "confirmed"
}Get transaction details
Get transaction details by id, foreign_id, or txid. Include only one of these parameters in your request.
curl --request GET \
--url https://app.lt.cryptoprocessing.com/api/v2/transactions/info \
--header 'Content-Type: application/json' \
--header 'X-Processing-Key: <api-key>' \
--header 'X-Processing-Signature: <x-processing-signature>' \
--data '
{
"foreign_id": "test_foreign_id_0250"
}
'{
"id": 1,
"end_user_reference": "12345",
"type": "deposit",
"crypto_address": {
"id": 1,
"currency": "BTC",
"address": "39mFf3X46YzUtfdwVQpYXPCMydc74ccbAZ",
"foreign_id": "12345",
"tag": null
},
"currency_sent": {
"currency": "BTC",
"amount": "6.53157512"
},
"currency_received": {
"currency": "BTC",
"amount": "6.53157512",
"amount_minus_fee": "6.5119800"
},
"transactions": [
{
"id": 1,
"currency": "BTC",
"transaction_type": "blockchain",
"type": "deposit",
"address": "39mFf3X46YzUtfdwVQpYXPCMydc74ccbAZ",
"tag": null,
"amount": "6.53157512",
"txid": "3950ad8149421a850d01dff88f024810e363ac18c9e8dd9bc0b9116e7937ad93",
"riskscore": "0.5",
"confirmations": "3"
}
],
"fees": [
{
"type": "deposit",
"currency": "BTC",
"amount": "0.01959472"
}
],
"error": "",
"status": "confirmed"
}Headers
Hex-encoded HMAC-SHA512 signature of the request body, generated using your secret key.
Body
- By internal ID
- By foreign ID
- By txid
Internal transaction ID.
717535
Response
OK
x >= 1717535
Transaction type.
Transaction entries. Each entry has a transaction_type that determines which fields are present:
blockchain: On-chain transactions (has address, tag, txid, riskscore, confirmations)internal: Internal transfers (has address, tag, txid, confirmations)exchange: Currency exchanges (has currency_to, amount_to)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Transaction status. Note: internal statuses are mapped before returning:
processingandverifyingare returned asnot_confirmederroris returned ascancelledrejectedis returned ascancelled
cancelled, confirmed, declined, not_confirmed, pending This transaction's unique identifier in your system.
End user reference. Present only when KYC data was provided.
Address details. Present only when entry has an associated address.
Show child attributes
Show child attributes
Sent currency details. Present for confirmed, verifying, or processing transactions.
Show child attributes
Show child attributes
Received currency details. Present for confirmed, verifying, or processing transactions.
Show child attributes
Show child attributes
Error message. Null or empty string for successful transactions.
Additional transaction details. Present only when available.
Was this page helpful?